Subject: [PATCH 23/28] Remove $UID bashism

From: Vincent Legoll <[email-masked]>
Date: Sun, 17 May 2020 19:17:20 +0200

---
 etc/guix-install.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index c7144288c9..431790709a 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -30,7 +30,7 @@ fi
 
 set -e
 
-[ "$UID" -eq 0 ] || { echo "This script must be run as root."; exit 1; }
+[ "$(id -u)" -eq 0 ] || { echo "This script must be run as root."; exit 1; }
 
 # groupadd, useradd, usermod, adduser, addgroup are handled in:
 # sys_create_build_user & sys_create_build_group functions.
-- 
2.26.2